/***************************************************************************
*																									*
*    MUISpell																					*
*    Spellchecking without texteditor, requires AlphaSpell and MUI			*
*    Copyright (C) 1996  Dirk Holtwick													*
*																									*
*    This program is free software; you can redistribute it and/or modify	*
*    it under the terms of the GNU General Public License as published by	*
*    the Free Software Foundation; either version 2 of the License, or		*
*    (at your option) any later version.												*
*																									*
*    This program is distributed in the hope that it will be useful,			*
*    but WITHOUT ANY WARRANTY; without even the implied warranty of			*
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the			*
*    GNU General Public License for more details.									*
*																									*
*    You should have received a copy of the GNU General Public License		*
*    along with this program; if not, write to the Free Software				*
*    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.					*
*																									*
*	  Author:   Dirk Holtwick																*
*					Karlstr. 59																	*
*					47119 Duisburg																*
*					GERMANY																		*
*					dirco@uni-duisburg.de													*
*																									*
****************************************************************************/

#include <libraries/mui.h>
#include <proto/muimaster.h>
#include <clib/exec_protos.h>
#include <exec/memory.h>
#include <clib/alib_protos.h>

struct ObjApp
{
	APTR	App;
	APTR	men_spell;
//	APTR	win_spell;
	APTR	str_spell;
	APTR	lv_spell;
	APTR	bt_learn;
	APTR	bt_guess;
	APTR	bt_accept;
	APTR	bt_ignore;
	APTR	win_view;
	APTR	bt_tback;
	APTR	bt_tskip;
	APTR	cy_line;
	APTR	txt_view;
	APTR	gauge_txt;
	APTR	lv_view;
	APTR	pa_spell;
	APTR 	pa_button;
	APTR	win_prefs;
	APTR	cy_ram;
	APTR	sl_back;
	APTR	sl_forward;
	APTR	sl_buffer;
	APTR	str_drawer;
	APTR	pa_drawer;
	APTR	str_books;
	APTR	pa_books;
	APTR	str_user;
	APTR	pa_command;
	APTR	str_command;
	APTR	pa_keyfile;
	APTR	str_keyfile;
	APTR	sl_rate;
	APTR	bt_save_prefs;
	APTR	bt_use_prefs;
	APTR	bt_cancel_prefs;
	APTR	win_info;
	APTR	bt_info;
	char *	STR_txt_view;
	char *	STR_tx_info;
	char *	cy_ramContent[5];
	char *	cy_lineContent[3];
};


extern struct ObjApp * CreateApp(void);
extern void DisposeApp(struct ObjApp *);

